unit GraphBaseSt;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  GraphBase, ActnList, Placemnt, ExtCtrls, TeeProcs, TeEngine, Chart,
  ComCtrls, ToolWin;

type
  TfmGraphBaseSt = class(TfmGraphBase)
    actClose: TAction;
    ToolButton4: TToolButton;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure actCloseExecute(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmGraphBaseSt: TfmGraphBaseSt;

implementation

{$R *.DFM}

procedure TfmGraphBaseSt.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  Action := caFree;
end;

procedure TfmGraphBaseSt.actCloseExecute(Sender: TObject);
begin
  inherited;
  Close;
end;

end.
